# SRC/zcopy_to_ucol.c File Reference

Copy a computed column of U to the compressed data structure. More...

`#include "slu_zdefs.h"`

## Functions
int | zcopy_to_ucol (int jcol, int nseg, int *segrep, int *repfnz, int *perm_r, doublecomplex *dense, GlobalLU_t *Glu)

## Detailed Description

     -- SuperLU routine (version 2.0) --
     Univ. of California Berkeley, Xerox Palo Alto Research Center,
     and Lawrence Berkeley National Lab.
     November 15, 1997
     Copyright (c) 1994 by Xerox Corporation.  All rights reserved.

     THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY
     EXPRESSED OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.

     Permission is hereby granted to use or copy this program for any
     purpose, provided the above notices are retained on all copies.
     Permission to modify the code and to distribute modified code is
     granted, provided the above notices are retained, and a notice that
     the code was modified is included with the above copyright notice.

## Function Documentation

int zcopy_to_ucol | ( | int | jcol,
|  | int | nseg,
|  | int * | segrep,
|  | int * | repfnz,
|  | int * | perm_r,
|  | doublecomplex * | dense,
|  | GlobalLU_t * | Glu |
| ) |  |  |